# Created by pyp2rpm-3.3.7
%global pypi_name spinners
%global pypi_version 0.0.24

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}.2
Summary:        Spinners for terminals

License:        MIT
URL:            https://github.com/manrajgrover/py-spinners
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
#BuildRequires:  python3dist(coverage) = 4.4.1
#BuildRequires:  python3dist(nose) = 1.3.7
#BuildRequires:  python3dist(pylint) = 1.7.2
#BuildRequires:  python3dist(tox) = 2.8.2

%description
More than 60 spinners for terminal, this is python port of amazing node library
cli-spinners.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
More than 60 spinners for terminal, this is python port of amazing node library
cli-spinners.


%prep
%autosetup -n %{pypi_name}-%{pypi_version} -p1
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
#%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Mon Jan 17 2022 Oleg Girko <ol@infoserver.lv> - 0.0.24-1
- Initial package.
